javax.persistence.criteria

## Interface Predicate

All Superinterfaces:
  Expression<Boolean>, Selection<Boolean>, TupleElement<Boolean>

All Known Subinterfaces:
  CriteriaBuilder.In<T>

    public interface Predicate
    extends Expression<Boolean>

### Nested Class Summary

Nested Classes
`static class` `Predicate.BooleanOperator`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<Expression<Boolean>>` `getExpressions()`
`Predicate.BooleanOperator` `getOperator()`
`boolean` `isNegated()`
`Predicate` `not()`

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Method Detail

#### getOperator

    Predicate.BooleanOperator getOperator()

#### isNegated

    boolean isNegated()

#### getExpressions

    List<Expression<Boolean>> getExpressions()

#### not

    Predicate not()